import { ShadowsocksrNodeConfig, ShadowsocksrSubscribeProviderConfig, SubscriptionUserinfo } from '../types';
import Provider from './Provider';
export default class ShadowsocksrSubscribeProvider extends Provider {
    readonly udpRelay?: boolean;
    private readonly _url;
    constructor(name: string, config: ShadowsocksrSubscribeProviderConfig);
    get url(): string;
    getSubscriptionUserInfo({ requestUserAgent, }?: {
        requestUserAgent?: string;
    }): Promise<SubscriptionUserinfo | undefined>;
    getNodeList({ requestUserAgent, }?: {
        requestUserAgent?: string;
    }): Promise<ReadonlyArray<ShadowsocksrNodeConfig>>;
}
export declare const getShadowsocksrSubscription: (url: string, udpRelay?: boolean, requestUserAgent?: string) => Promise<{
    readonly nodeList: ReadonlyArray<ShadowsocksrNodeConfig>;
    readonly subscriptionUserinfo?: SubscriptionUserinfo | undefined;
}>;
