import { ShadowsocksJsonSubscribeProviderConfig, ShadowsocksNodeConfig } from '../types';
import Provider from './Provider';
export default class ShadowsocksJsonSubscribeProvider extends Provider {
    readonly udpRelay?: boolean;
    private readonly _url;
    constructor(name: string, config: ShadowsocksJsonSubscribeProviderConfig);
    get url(): string;
    getNodeList({ requestUserAgent, }?: {
        requestUserAgent?: string;
    }): ReturnType<typeof getShadowsocksJSONConfig>;
}
export declare const getShadowsocksJSONConfig: (url: string, udpRelay?: boolean, requestUserAgent?: string) => Promise<ReadonlyArray<ShadowsocksNodeConfig>>;
