import { CommandConfig } from '../types';
export declare const loadConfig: (cwd: string, configPath: string, override?: Partial<CommandConfig>) => CommandConfig;
export declare const getConfig: () => CommandConfig;
export declare const setConfig: <T extends keyof CommandConfig>(key: T, value: CommandConfig[T]) => CommandConfig;
export declare const normalizeConfig: (cwd: string, userConfig: Partial<CommandConfig>) => CommandConfig;
export declare const validateConfig: (userConfig: Partial<CommandConfig>) => void;
